# SWFMorph::getShape1

(PHP 5 < 5.3.0, PECL ming SVN)

SWFMorph::getShape1 — Gets a handle to the starting shape

### Description

SWFMorph::getShape1 ( void ) : SWFShape
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Gets the morph's starting shape.

### Return Values

Returns a SWFShape object.

### See Also

- SWFMorph::getShape2() - Gets a handle to the ending shape